List Tasks
List tasks in the workspace.
Requires the tasks:read scope on the API key.
curl --request GET \
--url https://api.topo.io/v1/tasks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "EMAIL_REPLY",
"priority": "HOT",
"status": "PENDING",
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "ANSWERED",
"reopened_at": "2023-11-07T05:31:56Z",
"reopen_reason": "REMINDER_RULE",
"skipped_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"due_date": "2023-12-25",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"linkedin_url": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"company_domain": "<string>"
},
"assignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"snoozed_until": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
Page number.
x >= 1Number of items per page.
1 <= x <= 100Field to sort by.
created_at, updated_at Sort direction.
asc, desc Filter by an individual sequence run.
Filter by sequence template. Repeat the parameter to pass multiple values.
Filter by task type. Repeat the parameter to pass multiple values.
EMAIL_REPLY, LINKEDIN_REPLY, NEW_LEAD_REVIEW, CALL, PLAYBOOK_APPROVAL, TODO Filter by status.
PENDING, IN_PROGRESS, COMPLETED, SKIPPED Filter by priority bucket. Repeat the parameter to pass multiple values.
HOT, TODAY, EXTRA Filter by assignee.
Filter by contact linked to the task or its sequence.
Return tasks created strictly after this timestamp.
Return tasks created strictly before this timestamp.
Response
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Unique identifier.
Workspace this task belongs to.
What kind of task this is.
EMAIL_REPLY, LINKEDIN_REPLY, NEW_LEAD_REVIEW, CALL, PLAYBOOK_APPROVAL, TODO Task priority bucket.
HOT, TODAY, EXTRA Current lifecycle state.
PENDING, IN_PROGRESS, COMPLETED, SKIPPED Sequence run this task was projected from, if any.
User the task is assigned to, if any.
Outcome for call tasks once executed.
ANSWERED, VOICEMAIL_LEFT, NO_ANSWER, INTERESTED, NOT_INTERESTED, WRONG_NUMBER When the task was last reopened, if ever.
Why the task was reopened, if applicable.
REMINDER_RULE When the task was skipped, if applicable.
When the task was completed, if applicable.
When the task was created.
When the task last changed.
Task title for standalone tasks.
Due date for standalone tasks.
Summary of the contact linked to this task.
Hide child attributes
Hide child attributes
Unique identifier of the contact.
First name.
Last name.
Email.
LinkedIn profile URL.
Job title.
Employer name.
Employer's primary domain.
When the task is snoozed until, if deferred.
Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
curl --request GET \
--url https://api.topo.io/v1/tasks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "EMAIL_REPLY",
"priority": "HOT",
"status": "PENDING",
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "ANSWERED",
"reopened_at": "2023-11-07T05:31:56Z",
"reopen_reason": "REMINDER_RULE",
"skipped_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"due_date": "2023-12-25",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"linkedin_url": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"company_domain": "<string>"
},
"assignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"snoozed_until": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}